Package org.globus.ftp.dc

# Class EBlockParallelTransferContext

java.lang.Object
org.globus.ftp.dc.EBlockParallelTransferContext

All Implemented Interfaces:
  `TransferContext`

public class EBlockParallelTransferContext extends Object implements TransferContext

## Field Summary

Fields
Modifier and Type
Field
Description
`protected int`
`eodsTotal`
if sending data, this is the total number of EODS we should send.
`protected int`
`eodsTransferred`
if sending data, this is interpreted as the number of EODS sent.
`protected static org.apache.commons.logging.Log`
`logger`
`protected Object`
`quitToken`
`protected SocketPool`
`socketPool`
`static final int`
`UNDEFINED`

## Constructor Summary

Constructors
Constructor
Description
`EBlockParallelTransferContext()`

## Method Summary

Modifier and Type
Method
Description
`void`
`eodTransferred()`
`int`
`getEodsTotal()`
`int`
`getEodsTransferred()`
`Object`
`getQuitToken()`
release the token if and only if (all EODS have been sent, or all EODS have been received), and the token has not been released yet.
`SocketPool`
`getSocketPool()`
`TransferThreadManager`
`getTransferThreadManager()`
`void`
`setEodsTotal(int total)`
`void`
`setSocketPool(SocketPool sp)`
`void`
`setTransferThreadManager(TransferThreadManager transferThreadManager)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### logger

protected static org.apache.commons.logging.Log logger

### socketPool

protected SocketPool socketPool

### quitToken

protected Object quitToken

### UNDEFINED

public static final int UNDEFINED

See Also:
  - Constant Field Values

### eodsTransferred

protected int eodsTransferred
if sending data, this is interpreted as the number of EODS sent. If receiving data, this is the number of EODS received.

### eodsTotal

protected int eodsTotal
if sending data, this is the total number of EODS we should send. if receiving data, this is the total number of EODS we are expecting.

## Constructor Details

### EBlockParallelTransferContext

public EBlockParallelTransferContext()

## Method Details

### eodTransferred

public void eodTransferred()

### getEodsTransferred

public int getEodsTransferred()

### setEodsTotal

public void setEodsTotal(int total)

### getEodsTotal

public int getEodsTotal()

### getQuitToken

public Object getQuitToken()
release the token if and only if (all EODS have been sent, or all EODS have been received), and the token has not been released yet. So this method will return non-null only one in the instance's lifetime.

Specified by:
  `getQuitToken` in interface `TransferContext`
Returns:
  a non-null token is a permission for closing, null means no permission.

### setSocketPool

public void setSocketPool(SocketPool sp)

### getSocketPool

public SocketPool getSocketPool()

### setTransferThreadManager

public void setTransferThreadManager(TransferThreadManager transferThreadManager)

### getTransferThreadManager

public TransferThreadManager getTransferThreadManager()